<?php
/**
 * @file
 * wcm_user_contact.views_default.inc
 */

/**
 * Implements hook_views_default_views().
 */
function wcm_user_contact_views_default_views() {
  $export = array();

  $view = new view();
  $view->name = 'user_contact';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'users';
  $view->human_name = 'User Contacts';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Contact';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'access user profiles';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'none';
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'field_contact_group',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: User: User Photo */
  $handler->display->display_options['fields']['field_user_photo']['id'] = 'field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['table'] = 'field_data_field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['field'] = 'field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['label'] = '';
  $handler->display->display_options['fields']['field_user_photo']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_user_photo']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_user_photo']['settings'] = array(
    'image_style' => 'user_picture',
    'image_link' => 'content',
  );
  /* Field: Realname: Real name */
  $handler->display->display_options['fields']['realname']['id'] = 'realname';
  $handler->display->display_options['fields']['realname']['table'] = 'realname';
  $handler->display->display_options['fields']['realname']['field'] = 'realname';
  $handler->display->display_options['fields']['realname']['label'] = '';
  $handler->display->display_options['fields']['realname']['element_type'] = 'h2';
  $handler->display->display_options['fields']['realname']['element_label_colon'] = FALSE;
  /* Field: User: Title */
  $handler->display->display_options['fields']['field_job_title']['id'] = 'field_job_title';
  $handler->display->display_options['fields']['field_job_title']['table'] = 'field_data_field_job_title';
  $handler->display->display_options['fields']['field_job_title']['field'] = 'field_job_title';
  $handler->display->display_options['fields']['field_job_title']['label'] = '';
  $handler->display->display_options['fields']['field_job_title']['element_label_colon'] = FALSE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['label'] = '';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  /* Field: User: Room and Building */
  $handler->display->display_options['fields']['field_room_and_building']['id'] = 'field_room_and_building';
  $handler->display->display_options['fields']['field_room_and_building']['table'] = 'field_data_field_room_and_building';
  $handler->display->display_options['fields']['field_room_and_building']['field'] = 'field_room_and_building';
  $handler->display->display_options['fields']['field_room_and_building']['label'] = '';
  $handler->display->display_options['fields']['field_room_and_building']['element_label_colon'] = FALSE;
  /* Field: User: Street Address */
  $handler->display->display_options['fields']['field_street_address']['id'] = 'field_street_address';
  $handler->display->display_options['fields']['field_street_address']['table'] = 'field_data_field_street_address';
  $handler->display->display_options['fields']['field_street_address']['field'] = 'field_street_address';
  $handler->display->display_options['fields']['field_street_address']['label'] = '';
  $handler->display->display_options['fields']['field_street_address']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_street_address']['settings'] = array(
    'include_map' => 0,
    'include_static_map' => 0,
    'iframe_width' => '200',
    'iframe_height' => '200',
    'include_link' => 1,
    'link_text' => 'use_address',
    'zoom_level' => '14',
    'information_bubble' => 1,
    'include_text' => 0,
    'map_type' => 'm',
    'langcode' => 'en',
  );
  /* Field: User: Contact Group */
  $handler->display->display_options['fields']['field_contact_group']['id'] = 'field_contact_group';
  $handler->display->display_options['fields']['field_contact_group']['table'] = 'field_data_field_contact_group';
  $handler->display->display_options['fields']['field_contact_group']['field'] = 'field_contact_group';
  $handler->display->display_options['fields']['field_contact_group']['label'] = '';
  $handler->display->display_options['fields']['field_contact_group']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_contact_group']['element_type'] = 'h2';
  $handler->display->display_options['fields']['field_contact_group']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_contact_group']['type'] = 'taxonomy_term_reference_plain';
  /* Sort criterion: Draggableviews: Weight */
  $handler->display->display_options['sorts']['weight']['id'] = 'weight';
  $handler->display->display_options['sorts']['weight']['table'] = 'draggableviews_structure';
  $handler->display->display_options['sorts']['weight']['field'] = 'weight';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_view'] = 'leadership_listing:page_2';
  $handler->display->display_options['sorts']['weight']['draggableviews_setting_new_items_bottom_list'] = 1;
  /* Filter criterion: User: Active */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'users';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: User: Display on Contact Page (field_display_on_contact_page) */
  $handler->display->display_options['filters']['field_display_on_contact_page_value']['id'] = 'field_display_on_contact_page_value';
  $handler->display->display_options['filters']['field_display_on_contact_page_value']['table'] = 'field_data_field_display_on_contact_page';
  $handler->display->display_options['filters']['field_display_on_contact_page_value']['field'] = 'field_display_on_contact_page_value';
  $handler->display->display_options['filters']['field_display_on_contact_page_value']['value'] = array(
    1 => '1',
  );

  /* Display: Block */
  $handler = $view->new_display('block', 'Block', 'block_1');

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->display->display_options['path'] = 'contact';

  /* Display: Admin Page */
  $handler = $view->new_display('page', 'Admin Page', 'page_2');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'menu';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'field_contact_group',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'draggableviews' => 'draggableviews',
    'field_user_photo' => 'field_user_photo',
    'realname' => 'realname',
    'field_job_title' => 'field_job_title',
    'mail' => 'mail',
    'field_contact_group' => 'field_contact_group',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'draggableviews' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_user_photo' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => 'views-align-center',
      'separator' => '',
      'empty_column' => 0,
    ),
    'realname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_job_title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'mail' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_contact_group' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Draggableviews: User */
  $handler->display->display_options['fields']['draggableviews']['id'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['table'] = 'users';
  $handler->display->display_options['fields']['draggableviews']['field'] = 'draggableviews';
  $handler->display->display_options['fields']['draggableviews']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['hide_alter_empty'] = FALSE;
  $handler->display->display_options['fields']['draggableviews']['draggableviews']['ajax'] = 0;
  /* Field: User: User Photo */
  $handler->display->display_options['fields']['field_user_photo']['id'] = 'field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['table'] = 'field_data_field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['field'] = 'field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['label'] = 'Photo';
  $handler->display->display_options['fields']['field_user_photo']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_user_photo']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_user_photo']['settings'] = array(
    'image_style' => 'tiny',
    'image_link' => 'content',
  );
  /* Field: Realname: Real name */
  $handler->display->display_options['fields']['realname']['id'] = 'realname';
  $handler->display->display_options['fields']['realname']['table'] = 'realname';
  $handler->display->display_options['fields']['realname']['field'] = 'realname';
  $handler->display->display_options['fields']['realname']['label'] = 'Name';
  $handler->display->display_options['fields']['realname']['element_label_colon'] = FALSE;
  /* Field: User: Title */
  $handler->display->display_options['fields']['field_job_title']['id'] = 'field_job_title';
  $handler->display->display_options['fields']['field_job_title']['table'] = 'field_data_field_job_title';
  $handler->display->display_options['fields']['field_job_title']['field'] = 'field_job_title';
  $handler->display->display_options['fields']['field_job_title']['element_label_colon'] = FALSE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['label'] = 'Email';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  /* Field: User: Contact Group */
  $handler->display->display_options['fields']['field_contact_group']['id'] = 'field_contact_group';
  $handler->display->display_options['fields']['field_contact_group']['table'] = 'field_data_field_contact_group';
  $handler->display->display_options['fields']['field_contact_group']['field'] = 'field_contact_group';
  $handler->display->display_options['fields']['field_contact_group']['label'] = '';
  $handler->display->display_options['fields']['field_contact_group']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_contact_group']['element_type'] = 'h2';
  $handler->display->display_options['fields']['field_contact_group']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_contact_group']['type'] = 'taxonomy_term_reference_plain';
  $handler->display->display_options['path'] = 'admin/people/contact';
  $handler->display->display_options['menu']['type'] = 'tab';
  $handler->display->display_options['menu']['title'] = 'Contact';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: User: User Photo */
  $handler->display->display_options['fields']['field_user_photo']['id'] = 'field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['table'] = 'field_data_field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['field'] = 'field_user_photo';
  $handler->display->display_options['fields']['field_user_photo']['label'] = '';
  $handler->display->display_options['fields']['field_user_photo']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_user_photo']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_user_photo']['settings'] = array(
    'image_style' => 'user_picture',
    'image_link' => 'content',
  );
  /* Field: Realname: Real name */
  $handler->display->display_options['fields']['realname']['id'] = 'realname';
  $handler->display->display_options['fields']['realname']['table'] = 'realname';
  $handler->display->display_options['fields']['realname']['field'] = 'realname';
  $handler->display->display_options['fields']['realname']['label'] = '';
  $handler->display->display_options['fields']['realname']['element_type'] = 'h2';
  $handler->display->display_options['fields']['realname']['element_label_colon'] = FALSE;
  /* Field: User: Title */
  $handler->display->display_options['fields']['field_job_title']['id'] = 'field_job_title';
  $handler->display->display_options['fields']['field_job_title']['table'] = 'field_data_field_job_title';
  $handler->display->display_options['fields']['field_job_title']['field'] = 'field_job_title';
  $handler->display->display_options['fields']['field_job_title']['label'] = '';
  $handler->display->display_options['fields']['field_job_title']['element_label_colon'] = FALSE;
  /* Field: User: E-mail */
  $handler->display->display_options['fields']['mail']['id'] = 'mail';
  $handler->display->display_options['fields']['mail']['table'] = 'users';
  $handler->display->display_options['fields']['mail']['field'] = 'mail';
  $handler->display->display_options['fields']['mail']['label'] = '';
  $handler->display->display_options['fields']['mail']['element_label_colon'] = FALSE;
  /* Field: User: Phone */
  $handler->display->display_options['fields']['field_phone']['id'] = 'field_phone';
  $handler->display->display_options['fields']['field_phone']['table'] = 'field_data_field_phone';
  $handler->display->display_options['fields']['field_phone']['field'] = 'field_phone';
  $handler->display->display_options['fields']['field_phone']['label'] = '';
  $handler->display->display_options['fields']['field_phone']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_phone']['type'] = 'telephone_link';
  $handler->display->display_options['fields']['field_phone']['settings'] = array(
    'title' => '',
  );
  /* Field: User: Room and Building */
  $handler->display->display_options['fields']['field_room_and_building']['id'] = 'field_room_and_building';
  $handler->display->display_options['fields']['field_room_and_building']['table'] = 'field_data_field_room_and_building';
  $handler->display->display_options['fields']['field_room_and_building']['field'] = 'field_room_and_building';
  $handler->display->display_options['fields']['field_room_and_building']['label'] = '';
  $handler->display->display_options['fields']['field_room_and_building']['element_label_colon'] = FALSE;
  /* Field: User: Street Address */
  $handler->display->display_options['fields']['field_street_address']['id'] = 'field_street_address';
  $handler->display->display_options['fields']['field_street_address']['table'] = 'field_data_field_street_address';
  $handler->display->display_options['fields']['field_street_address']['field'] = 'field_street_address';
  $handler->display->display_options['fields']['field_street_address']['label'] = '';
  $handler->display->display_options['fields']['field_street_address']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_street_address']['settings'] = array(
    'include_map' => 0,
    'include_static_map' => 0,
    'iframe_width' => '200',
    'iframe_height' => '200',
    'include_link' => 1,
    'link_text' => 'use_address',
    'zoom_level' => '14',
    'information_bubble' => 1,
    'include_text' => 0,
    'map_type' => 'm',
    'langcode' => 'en',
  );
  /* Field: User: Contact Group */
  $handler->display->display_options['fields']['field_contact_group']['id'] = 'field_contact_group';
  $handler->display->display_options['fields']['field_contact_group']['table'] = 'field_data_field_contact_group';
  $handler->display->display_options['fields']['field_contact_group']['field'] = 'field_contact_group';
  $handler->display->display_options['fields']['field_contact_group']['label'] = '';
  $handler->display->display_options['fields']['field_contact_group']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_contact_group']['element_type'] = 'h2';
  $handler->display->display_options['fields']['field_contact_group']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_contact_group']['type'] = 'taxonomy_term_reference_plain';
  $export['user_contact'] = $view;

  return $export;
}
