<?php

/**
 * Implements hook_preprocess_page().
 */
function ocio_omega_base_preprocess_page(&$vars) {
  // You can use preprocess hooks to modify the variables before they are passed
  // to the theme function or template file.
  /*
  $classes[] = 'accent-' . theme_get_setting('ocio_omega_color_accent');
  */
  $classes = array();
  $vars['main_classes'] = join(' ', $classes);

  $vars['landing_page'] = isset($vars['node']) && $vars['node']->type == 'ocio_landing_page';

  if ($vars['landing_page']) {
    $vars['title_prefix']['ocio_omega_base'] = array(
      'type' => 'markup',
      '#markup' => '<div class="l-constrained max-width">',
      );
    $vars['title_suffix']['ocio_omega_base'] = array(
      'type' => 'markup',
      '#markup' => '</div>',
    );

    $top_banner = field_view_field('node', $vars['node'], 'field_banner_image');
    if (!empty($top_banner)) {
      $top_banner['#label_display'] = 'hidden';
      $top_banner[0]['#item']['alt'] = "";

      $vars['page']['hero']['top_banner']['#markup'] = drupal_render($top_banner);

      $top_banner_text = field_view_field('node', $vars['node'], 'field_banner_image_text');
      if (!empty($top_banner_text) && !empty($vars['node']->field_banner_image_text_color) && !empty($vars['node']->field_banner_image_text_location)) {
        $top_banner_text['#label_display'] = 'hidden';

        $vars['page']['hero']['top_banner']['#markup'] .= drupal_render($top_banner_text);
      }
    }

    $bottom_banner = field_view_field('node', $vars['node'], 'field_pre_footer_banner_image');
    if (!empty($bottom_banner)) {
      $bottom_banner['#label_display'] = 'hidden';
      $bottom_banner[0]['#item']['alt'] = "";

      $vars['page']['pre_footer']['bottom_banner']['#markup'] = drupal_render($bottom_banner);
    }
  }
}
